program Guess2;
var a, b, i, p, S : integer;

begin
assign(input, 'guess.in');  reset(input);
assign(output,'guess.out'); rewrite(output);

read(a,b,S);
close(input);

p:= 0;
for i:= 1 to 10000 do
    if S = ((i + a)*b + b)*a then begin write(i,' '); inc(p); end;

if p = 0 then write('-1');

close(output);
end.
